Subject: [secdir] Secdir last call review of draft-ietf-mmusic-msrp-usage-data-channel-22

From: Alexey Melnikov <[email-masked]>
Date: Mon, 20 Jul 2020 13:46:42 +0100

Reviewer: Alexey Melnikov
Review result: Ready with Nits

I have reviewed this document as part of the security directorate's 
ongoing effort to review all IETF documents being processed by the IESG. 
These comments were written primarily for the benefit of the security 
area directors. Document editors and WG chairs should treat these 
comments just like any other last call comments.

The subject matter is outside my area of expertise and proper 
understanding of the document requires reading of several referenced 
documents. But I think I got the gist of what the document is trying to do.

The Security Consideration talks about data channels providing 
confidentiality, integrity and source authentication for MSRP traffic, 
which is good. It also points out to discussion of MSRP message 
attribution in RFC 4975.

However, session setup is done over SIP, which has different security 
considerations and nothing is mentioned about that. In particular, one 
of normatively referenced documents RFC 5547 has very good Security 
Considerations section (section 10) that talks about possible attacks on 
file transfer negotiation. I think this should be referenced in the 
document.

I also feel that more can be said about possible use of MSRP for 
transferring of malicious files/images.

In Section 6:

  o  The gateway SHALL use CEMA towards the non-data channel endpoint.

Please explain and/or add a reference for CEMA.

---

From: Christer Holmberg <[email-masked]>
Date: Mon, 20 Jul 2020 14:39:43 +0000

Hi Alexey,

Thank you for the review! Please see inline.

>I have reviewed this document as part of the security directorate's ongoing effort to review all IETF documents being processed by the IESG. 
>These comments were written primarily for the benefit of the security area directors. Document editors and WG chairs should treat these comments just like any other last call comments.
>
>The subject matter is outside my area of expertise and proper understanding of the document requires reading of several referenced documents. But I think I got the gist of what the document is trying to do.
>
>The Security Consideration talks about data channels providing confidentiality, integrity and source authentication for MSRP traffic, which is good. It also points out to discussion of MSRP message attribution in RFC 4975.
>
>However, session setup is done over SIP, which has different security considerations and nothing is mentioned about that.

The mechanism does not require SIP - it only requires use of offer/answer. Granted, offer/answer is mostly used together with SIP, but there is no such requirement, and we normally reference the SIP Security Considerations in offer/answer specifications.

> In particular, one of normatively referenced documents RFC 5547 has very good Security Considerations section (section 10) that talks about possible attacks on file transfer negotiation. I think this should be referenced in the document.

I suggest to add the following paragraph to the Security Considerations:

"[RFC5547] specifies security considerations related to the usage of MSRP for file transfer."

>I also feel that more can be said about possible use of MSRP for transferring of malicious files/images.

I think that belongs RFC 5547, and I think the text in 5547 is pretty good.

> Please explain and/or add a reference for CEMA.

We do have a reference to CEMA in Section 4.4., but I am fine adding it here too:

"o  The gateway SHALL use MSRP CEMA [RFC6714] towards the non-data channel endpoint."

Regards,

Christer

---

From: Alexey Melnikov <[email-masked]>
Date: Tue, 21 Jul 2020 09:49:49 +0100

Hi Christer,

On 20/07/2020 15:39, Christer Holmberg wrote:
> The mechanism does not require SIP - it only requires use of offer/answer.
Ok.
> Granted, offer/answer is mostly used together with SIP, but there is no such requirement, and we normally reference the SIP Security Considerations in offer/answer specifications.
I think you need to point this out explicitly in the security 
consideration.
> "[RFC5547] specifies security considerations related to the usage of MSRP for file transfer."
Sounds good.
> I think that belongs RFC 5547, and I think the text in 5547 is pretty good.
Actually, you are right, the last paragraph of Section 10 talks about this.
> "o  The gateway SHALL use MSRP CEMA [RFC6714] towards the non-data channel endpoint."

This is better, thank you.

Best Regards,

Alexey

---

From: Christer Holmberg <[email-masked]>
Date: Tue, 21 Jul 2020 11:30:33 +0000

Hi,

> I think you need to point this out explicitly in the security consideration.

I could say:

"If the Session Initiation Protocol (SIP) [RFC3261] is used to implement the offer/answer transactions for establishing the MSRP data channel, the SIP Security Considerations in [RFC3261] apply."

Regards,

Christer